View Issue Details

IDProjectCategoryView StatusLast Update
0002426SymmetricDSBugpublic2019-04-23 16:14
ReporterlonsieraAssigned Tojosh-a-hicks 
Priorityhigh 
Status closedResolutionfixed 
Product Version3.7.25 
Target VersionFixed in Version3.10.0 
Summary0002426: Sym server create Primary Keys for all fields in table without PK
DescriptionThis issue happenned on all tables without Primary Keys.
For example table with no Primary Keys on MS SQL Server:
CREATE TABLE `item`(
    `item_id` INTEGER NOT NULL,
    `name` VARCHAR(100) NULL,
    `description` VARCHAR(1000) NULL,
    `age` INTEGER,
    `datebirth` VARCHAR(10) NULL
);

If use dbexport we get same table structure
# ../bin/dbexport --engine corp-000 --format=sql --compatible=mysql --catalog corp --no-data item > item.sql

But if use ../bin/sym, we get this error:
[store-001] - JdbcSqlTemplate - Specified key was too long; max key length is 767 bytes. Failed to execute: CREATE TABLE `item`(
    `item_id` INTEGER NOT NULL,
    `name` VARCHAR(100) NULL,
    `description` VARCHAR(1000) NULL,
    `age` INTEGER,
    `datebirth` VARCHAR(10) NULL,
    PRIMARY KEY (`item_id`, `name`, `description`, `age`, `datebirth`)
)
TagsNo tags attached.

Relationships

related to 0003521 closedjosh-a-hicks Create Table First is creating table with all columns as primary key instead of none 

Activities

lonsiera

2015-11-17 16:23

reporter   ~0000730

Issue still not fixed in 3.7.27. Please check it

Issue History

Date Modified Username Field Change
2015-10-27 10:06 lonsiera New Issue
2015-10-28 20:37 chenson Target Version => 3.7.26
2015-10-30 15:01 chenson Target Version 3.7.26 => 3.7.27
2015-11-17 16:23 lonsiera Note Added: 0000730
2015-11-17 16:27 chenson Target Version 3.7.27 => 3.7.28
2015-12-15 11:15 admin Target Version 3.7.28 => 3.7.29
2019-04-23 16:13 elong Relationship added related to 0003521
2019-04-23 16:13 elong Assigned To => josh-a-hicks
2019-04-23 16:13 elong Status new => closed
2019-04-23 16:13 elong Resolution open => fixed
2019-04-23 16:13 elong Fixed in Version => 3.10.0
2019-04-23 16:14 elong Target Version 3.7.29 =>